# include/NvJpegDecoder.h File Reference

NVIDIA Eagle Eye API: Image Decode API More...

`#include <stdio.h>`
`#include "jpeglib.h"`
`#include "NvElement.h"`
`#include "NvBuffer.h"`

Go to the source code of this file.

## Classes

class | NvJPEGDecoder
| Helper class for decoding JPEG images using libjpeg APIs. More...

## Defines

#define | MAX_CHANNELS 3
| `TEGRA_ACCELERATE` must be defined to enable hardware-accelerated JPEG decoding.

## Detailed Description

NVIDIA Eagle Eye API: Image Decode API

Description: This file declares the NvJpegDecoder APIs.

Definition in file NvJpegDecoder.h.